
/**
 * SpectraDataSource.java
 * Used to view streak camera data
 *
 * Created: Oct 20, 2004
 *
 * @author Nathan Stevens
 * @version 0.3 4/21/06
 */
public interface SpectraDataSource {
  // This method is implemented by class who want to allow other classes to get spectra
  // data from them
  SpectraData getSpectraData();
  
  // Method to set the spectra data
  void setSpectraData(String exptype, SpectraData[] sda);
  
  // Method to set the results if any
  void setResults(String results);
  
  // Method to get the Instrument Responce Function used for fitting
  SpectraData getIRF();
  
  // Method to set the Instrument Responce Function used for fitting
  void storeIRF();
}//--end class SpectraDataSource
